.root {
   position: relative;

   h3 {
      margin-bottom: 40px;
   }

   .popap_block {
      padding: 30px;
      position: fixed;
      background-color: rgb(41, 46, 43);
      color: #fff;
      border-radius: 10px;
      max-width: 500px;
      width: 100%;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
      box-shadow: 0 0 15px rgb(112, 105, 105);
      z-index: 10;
      text-align: center;

      .title_wrapper {
         display: flex;
         justify-content: space-evenly;
         align-items: center;
         .title {
            text-transform: uppercase;
         }

         span {
            cursor: pointer;
         }
      }

      .input {
         display: inline-block;
         font-size: 20px;
         background-color: 0;
         border: none;
         border-radius: 7px;
         padding: 7px 10px 7px 7px;
         display: inline-block;
      }

      .description {
         margin-top: 15px;
         font-size: 15px;
         line-height: 140%;
      }

      .money {
         margin-top: 10px;
         font-size: 20px;
         line-height: 140%;
      }

      .BtnHandler {
         margin-top: 20px;
         display: inline-block;
         background-color: transparent;
         border: 2px solid #fff;
         border-radius: 7px;
         color: inherit;
         font-size: 18px;
         line-height: 140%;
         padding: 7px 25px;
         cursor: pointer;
         transition: all 0.3s ease-in-out;

         &:hover {
            background-color: #fff;
            color: rgb(73, 82, 77);
         }
      }
   }

   .card {
      padding: 30px;
      position: fixed;
      background-color: rgb(41, 46, 43);
      color: #fff;
      border-radius: 10px;
      max-width: 400px;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
      box-shadow: 0 0 15px rgb(112, 105, 105);
      z-index: 10;
      display: grid;
      grid-gap: 10px;
      grid-template-areas:
         "number number"
         "data cv"
         "button button";
      z-index: 10;

      &_item {
         input {
            font-size: 20px;
            line-height: 130%;
            margin-right: 0;
            border-radius: 7px;
            padding: 5px 10px;
         }
         input[type="number"]::-webkit-inner-spin-button,
         input[type="number"]::-webkit-outer-spin-button {
            -webkit-appearance: none;
            -moz-appearance: number-input;
         }
      }

      &_item:nth-child(1) {
         grid-area: number;

         input {
            display: block;
         }
      }

      &_item:nth-child(2) {
         grid-area: data;
         input {
            display: block;
            width: 100px;
         }
      }

      &_item:nth-child(3) {
         grid-area: cv;
         text-align: right;
         input {
            display: block;
            width: 70px;
            margin-left: auto;
         }
      }

      &_item:nth-child(4) {
         grid-area: button;

         button {
            margin-top: 20px;
            display: inline-block;
            background-color: transparent;
            border: 2px solid #fff;
            border-radius: 7px;
            color: inherit;
            font-size: 18px;
            line-height: 140%;
            padding: 7px 25px;
            cursor: pointer;
            transition: all 0.3s ease-in-out;

            &:hover {
               background-color: #fff;
               color: rgb(73, 82, 77);
            }
         }
      }

      &_item label {
         font-size: 16px;
         line-height: 140%;
      }
   }

   .overlay {
      position: fixed;
      height: 100vh;
      width: 100%;
      background-color: rgba(152, 150, 150, 0.723);
      top: 0;
      left: 0;
      right: 0;
      z-index: 1;
   }

   .success {
      width: 400px;
      text-align: center;
      background-color: rgb(0, 204, 255);
      border-radius: 10px;
      border: 2px solid rgb(73, 82, 77);
      box-shadow: 0 0 10px grey;
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
      padding: 20px;
      z-index: 20;

      h3 {
         margin-bottom: 10px;
      }

      button {
         margin-top: 20px;
         display: inline-block;
         background-color: rgb(73, 82, 77);
         border: 2px solid #fff;
         border-radius: 7px;
         color: #fff;
         font-size: 18px;
         line-height: 140%;
         padding: 7px 25px;
         cursor: pointer;
         transition: all 0.3s ease-in-out;

         &:hover {
            background-color: #fff;
            color: rgb(73, 82, 77);
         }
      }
   }

   .wrapper {
      display: flex;
      flex-direction: column;

      .top_block {
         // margin: 0 auto;
         display: flex;
         flex-wrap: wrap;
         gap: 20px;
         margin-bottom: 50px;

         div {
            background-color: rgb(73, 82, 77);
            color: #fff;
            width: 250px;
            padding: 20px;
            border: 1px solid black;
            border-radius: 7px;
            box-shadow: 0 0 15px rgb(73, 82, 77);
         }
      }

      .bottom_block {
         // margin: 0 auto;
         display: flex;
         gap: 20px;
         flex-wrap: wrap;

         div {
            background-color: rgb(73, 82, 77);
            color: #fff;
            width: 250px;
            padding: 20px;
            border: 1px solid black;
            border-radius: 7px;
            box-shadow: 0 0 15px rgb(73, 82, 77);
            transition: all 0.2s;
            cursor: pointer;

            &:hover {
               background-color: aliceblue;
               color: rgb(73, 82, 77);
            }
         }
      }
   }
}
